var win = Ti.UI.createWindow({
    backgroundColor: 'white'
});

var info = Ti.UI.createLabel();
win.add(info);

var switchButton = Ti.UI.createSwitch({
    top:40,
     value:Ti.App.Properties.getBool('test') // mandatory property for iOS 
});
switchButton.addEventListener('change',function(_event){
    Ti.App.Properties.setBool('test', _event.value);
});
win.add(switchButton);

function onPropertiesChange()
{
    switchButton.value = Ti.App.Properties.getBool('test');
    info.text = 'onPropertiesChange';
    Ti.API.info('onPropertiesChange')
    setTimeout(function(){info.text = '';}, 1000);
}
    
Ti.App.Properties.addEventListener('change',onPropertiesChange);

win.addEventListener('close', function() {
    Ti.App.Properties.removeEventListener('change',onPropertiesChange);
});

win.open();